org.keycloak.services.managers

## Class UsersSyncManager.FederationProviderClusterEvent

- java.lang.Object
- - org.keycloak.services.managers.UsersSyncManager.FederationProviderClusterEvent

- All Implemented Interfaces:
    Serializable, ClusterEvent
  Enclosing class:
    UsersSyncManager

      public static class UsersSyncManager.FederationProviderClusterEvent
      extends Object
      implements ClusterEvent

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederationProviderClusterEvent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UsersSyncManager.FederationProviderClusterEvent` | `createEvent(boolean removed, String realmId, UserFederationProviderModel fedProvider)`
    `UserFederationProviderModel` | `getFederationProvider()`
    `String` | `getRealmId()`
    `boolean` | `isRemoved()`
    `void` | `setFederationProvider(UserFederationProviderModel federationProvider)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRemoved(boolean removed)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederationProviderClusterEvent

          public FederationProviderClusterEvent()

  - ### Method Detail

    - #### isRemoved

          public boolean isRemoved()

    - #### setRemoved

          public void setRemoved(boolean removed)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getFederationProvider

          public UserFederationProviderModel getFederationProvider()

    - #### setFederationProvider

          public void setFederationProvider(UserFederationProviderModel federationProvider)

    - #### createEvent

          public static UsersSyncManager.FederationProviderClusterEvent createEvent(boolean removed,
                                                                                    String realmId,
                                                                                    UserFederationProviderModel fedProvider)

Copyright © 2016 JBoss by Red Hat. All rights reserved.